<?php

 	$icon = isset($args['icon']) ? $args['icon'] : array("value" => "fas fa-arrow-right", "library"=> "fa-solid");
	$text_view_details = isset($args['label_view_details']) ? $args['label_view_details'] : esc_html__('View detail','ovaev');

	// data options for slide
	$data_options['items']              = (int)$args['item_number'];
	$data_options['slideBy']            = (int)$args['slides_to_scroll'];
	$data_options['margin']             = (int)$args['margin_items'];
	$data_options['autoplayHoverPause'] = $args['pause_on_hover'] === 'yes' ? true : false;
	$data_options['loop']               = $args['infinite'] === 'yes' ? true : false;
	$data_options['autoplay']           = $args['autoplay'] === 'yes' ? true : false;
	$data_options['autoplayTimeout']    = (int)$args['autoplay_speed'];
	$data_options['smartSpeed']         = (int)$args['smartspeed'];
	$data_options['dots']               = $args['dot_control'] === 'yes' ? true : false;

	// get data
	$taxonomy 	= "event_category";
	$terms 		= get_terms( $taxonomy, array('orderby' => 'slug', 'hide_empty' => false, ));

?>

<div class="ovaev-categories-slide">
		
	<div class="categories-slide owl-carousel" data-options="<?php echo esc_attr(json_encode($data_options)) ?>">
		<?php foreach ($terms as $term) : ?>
			<?php
				$placeholder_image_url = OVAEV_PLUGIN_URI . 'assets/img/woocommerce-placeholder-600x600.png';

				$thumbnail_id 	= get_term_meta($term->term_id, 'event_cat_thumbnail_id', true);
				$thumbnail_url 	= wp_get_attachment_url($thumbnail_id) ? wp_get_attachment_url($thumbnail_id) : $placeholder_image_url;
				$name  			= $term->name;
				$link 			= get_term_link( $term->term_id, $taxonomy );
			?>

			<div class="item">

				<div class="image-thumbnail">

					<img src="<?php echo esc_url($thumbnail_url); ?>" alt="<?php echo esc_html($name); ?>">

					<?php if( $text_view_details != '' || $icon != '' ): ?>
						<a href="<?php echo esc_url( $link ); ?>" class="btn read-more">
							<span><?php echo esc_html($text_view_details); ?></span>
							<?php if( $icon ){ 
							    \Elementor\Icons_Manager::render_icon( $icon, [ 'aria-hidden' => 'true' ] );
							} ?>
						</a>
					<?php endif; ?>
					
				</div>

				<h4 class="title">
					<a href="<?php echo esc_url( $link ); ?>" >
						<?php echo esc_html($name); ?>
						<span class="count">
							<?php echo '(' . esc_html($term->count) . ')'; ?>
						</span>
					</a>
				</h4>

			</div>

		<?php endforeach; ?>
	</div>

</div>